> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# Get deployment runtime

GET https://astropods.com/api/v1/deployments/{id}/runtime

Reference: https://docs.astropods.com/api-reference/astropods-api/deployments/get-deployment-runtime

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required) — Deployment ID

### Query parameters

- `account` (string, required) — Account name

## Response

### 200

OK

- `runtime` (DeploymentRuntime, optional)

## Types

### DeploymentRuntime

- `manual_ingestions` (list of string, optional)
- `messaging_reachable` (boolean, optional)
- `ready` (integer, optional)
- `replicas` (integer, optional)
- `sandboxes` (DeploymentSandboxes, optional)
- `workloads` (list of WorkloadRuntime, optional)

### DeploymentSandboxes

- `creating` (long, optional)
- `recent` (list of SandboxInstance, optional)
- `running` (long, optional)
- `stopped` (long, optional)
- `suspended` (long, optional)
- `total` (long, optional)

### WorkloadRuntime

- `age` (string, optional)
- `completions` (string, optional)
- `containers` (list of ContainerStatus, optional)
- `kind` (string, optional)
- `name` (string, optional)
- `phase` (string, optional)
- `pod_name` (string, optional)
- `runs` (list of JobDetail, optional)
- `start_time` (string, optional)
- `status` (string, optional)
- `storage_capacity_bytes` (long, optional, nullable)
- `storage_used_bytes` (long, optional, nullable)

### SandboxInstance

- `ceiling_at` (string, optional)
- `class` (string, optional)
- `created_at` (string, optional)
- `failure` (string, optional)
- `last_active_at` (string, optional)
- `name` (string, optional)
- `state` (string, optional)

### ContainerStatus

- `last_restart_at` (datetime, optional, nullable)
- `message` (string, optional)
- `name` (string, optional)
- `ready` (boolean, optional)
- `restart_count` (integer, optional)
- `state` (string, optional)

### JobDetail

- `age` (string, optional)
- `completions` (string, optional)
- `component` (string, optional)
- `message` (string, optional)
- `name` (string, optional)
- `start_time` (string, optional)
- `status` (string, optional)

## Examples

**Response**

```json
{
  "runtime": {
    "manual_ingestions": [
      "string"
    ],
    "messaging_reachable": true,
    "ready": 1,
    "replicas": 1,
    "sandboxes": {
      "creating": 1,
      "recent": [
        {
          "ceiling_at": "string",
          "class": "string",
          "created_at": "string",
          "failure": "string",
          "last_active_at": "string",
          "name": "string",
          "state": "string"
        }
      ],
      "running": 1,
      "stopped": 1,
      "suspended": 1,
      "total": 1
    },
    "workloads": [
      {
        "age": "string",
        "completions": "string",
        "containers": [
          {
            "last_restart_at": "2024-01-15T09:30:00Z",
            "message": "string",
            "name": "string",
            "ready": true,
            "restart_count": 1,
            "state": "string"
          }
        ],
        "kind": "string",
        "name": "string",
        "phase": "string",
        "pod_name": "string",
        "runs": [
          {
            "age": "string",
            "completions": "string",
            "component": "string",
            "message": "string",
            "name": "string",
            "start_time": "string",
            "status": "string"
          }
        ],
        "start_time": "string",
        "status": "string",
        "storage_capacity_bytes": 1,
        "storage_used_bytes": 1
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/deployments/id/runtime"

querystring = {"account":"account"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/deployments/id/runtime?account=account';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/deployments/id/runtime?account=account"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/deployments/id/runtime?account=account")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://astropods.com/api/v1/deployments/id/runtime?account=account")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://astropods.com/api/v1/deployments/id/runtime?account=account', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/deployments/id/runtime?account=account");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/deployments/id/runtime?account=account")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```